LAMGROW(1)

NAME
lamgrow - Extend a LAM multicomputer.

SYNTAX

lamgrow [-hvd] [-cpu <num>] [-n <nodeid>] [-no-schedule] [-ssi <key> <value>] <hostname>

OPTIONS

-cpu <num>
    Indicate how many CPUs are available to LAM on the new node.

-d  Turn on debugging output. This implies -v.

-h  Print useful information on this command.

-n <nodeid>
    Assign this ID to the new node.

-no-schedule
    Indicate that C and N expansion in mpirun and lamexec should not schedule on this node.

-ssi <key> <value>
    Send arguments to various SSI modules. See the "SSI" section, below.

-v  Be verbose.

<hostname>
    Extend LAM with this host.

DESCRIPTION
An existing LAM universe, initiated by lamboot(1), can be enlarged to include more nodes with lamgrow. One new node is added for each invocation. At a minimum, the host name that will run the new node is given on the command line. If a different userid is required to access the host, it is specified with the appropriate boot SSI options (see lamssi_boot(7)).

The new node can be assigned any unused, non-negative identifier. If no identifier is specified, the highest node identifier in the current LAM universe plus one is used. Note that lamboot(1) always assigns node identifiers consecutively from 0.

lamgrow can be run from any node in the current LAM universe. Specifically -- it cannot be run from the intended new host. Two invocations of lamgrow should not run concurrently, and the command attempts to detect this situation. The name of the host specified in lamgrow should not be the one which is already present in the user's LAM universe and the command attempts to detect this situation too.

Resource managers will be the most common user of lamgrow. When hosts become idle and a user has expressed a desire to the manager that extra cycles should be exploited, the manager could invoke lamgrow and then launch the specified application process(es) on the new node.

EXAMPLES

lamgrow -v newhost
    Start LAM on newhost and add it to the existing LAM universe. Choose the next available node identifier and report about important steps as they are done.

lamgrow -n 30 newhost
    Start LAM on newhost with node ID 30 and add it to the existing LAM universe. Operate silently.

FILES

laminstalldir/etc/lam-conf.lamd
    default configuration file for LAM nodes, where "laminstalldir" is the directory where LAM/MPI was installed.

BUGS
It is not currently possible to specify a configuration file other than lam-conf.lamd on the remote node, even though this is possible with lamboot.

SEE ALSO
lamboot(1), lamhalt(1), hboot(1), lamwipe(1), tkill(1), bhost(5), conf(5), lamssi_boot(7)